from pathlib import Path
from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    APP_NAME: str = "Simple Todo App"
    
    # Database
    DB_DIR: Path = Path("/app") / "storage" / "db"
    
    class Config:
        env_file = ".env"
        case_sensitive = True

settings = Settings()